//----------------------------------------------------------------------
//
// finite
//
// Syntax: a=finite(b)
//
// This routines returns a matrix containing a 0 if the corresponding
// element is finite (i.e., not Inf or NaN) and a 1 if it is either
// Inf or NaN.
//
// Original Author: Jeff Layton 
//----------------------------------------------------------------------

finite = function(b)
{
   local(a, c)

   a=isinf(b);
   c=isnan(b);

   return a+c
};
