//-------------------------------------------------------------------//

//  Syntax:  fix ( X )

//  Description:

//  Fix rounds the elements of X to the nearest integer towards zero.

//  See Also ceil, floor, round, sign, abs

//-------------------------------------------------------------------//

fix = function ( X )
{
  return sign (X) .* floor (abs (X));
};

